### Signal

# Gck Session::discard-handle

#### Declaration

    gboolean
    discard_handle (
      GckSession* self,
      gulong handle,
      gpointer user_data
    )

#### Description [src]

When a GckSession is being disposed of it emits this signal to allow a session pool to pick up the handle and keep it around.

If no signal handler claims the handle, then it is closed.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`handle` | `gulong`
| The handle being discarded.

#### Return value

Returns: | `gboolean`
| Whether or not this handle was claimed.